
/********************************************************************/
/*          ESPACIOS ARCHIVE CATEGORIA & TIPO- ESTILOS
/********************************************************************/

.espacios-categoria,
.espacios-tipo {
    display: flex;
    flex-direction: column;
    padding: 0 24px;
    gap: 56px;
    width: 100%;
}

.espacios-categoria .espacios-cat__header,
.espacios-tipo .espacios-tipo__header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 40px;
    align-self: stretch;
    width: 100%;
}

.espacios-categoria .espacios-cat__header .espacios-breadcrumbs a,
.espacios-tipo .espacios-tipo__header .espacios-breadcrumbs a {
    text-transform: uppercase;
}

.espacios-cat__inner-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 16px;
    width: 100%;
}

.espacios-categoria .espacios-cat__grid.categorias-grid,
.espacios-tipo .espacios-tipo__grid.categorias-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(368px, 1fr));
    gap: 24px;
    width: 100%;
}

/*.espacios-tipo .espacios-tipo__item a,*/
/*.espacios-categoria .espacios-cat__item a {*/
/*  text-decoration: unset;*/
/*}*/

.espacios-tipo__thumb,
.espacios-cat__thumb {
    margin-bottom: 16px;
    width: 100%;
    height: 520px;
    overflow: hidden;
}

.espacios-tipo__thumb .espacios-item__imagen,
.espacios-cat__thumb .espacios-item__imagen {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
    transition: transform .3s ease-in-out;
}

.espacios-cat__item .espacios-cat__title, 
.espacios-tipo__item .espacios-cat__title {
    text-transform: lowercase;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    letter-spacing: 0.5px;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
    text-align: center;
}

.kpn-hero-section .espacios-breadcrumbs a:hover{
    color: #ffffff;
}

.espacios-cat__item .espacios-cat__title::first-letter,
.espacios-tipo__item .espacios-cat__title::first-letter {
    text-transform: uppercase;
}

.espacios-tipo .espacios-tipo__item:hover .espacios-tipo__thumb .espacios-item__imagen,
.espacios-categoria .espacios-cat__item:hover .espacios-cat__thumb .espacios-item__imagen {
    transform: scale(1.1);
}

@media (max-width: 1400px){
    .grid-container{
        margin: unset;
        max-width: unset;
    }
}

@media (max-width: 1200px){
    .espacios-categoria, .espacios-tipo{
        padding: 0 40px;
    }
    .grid-container{
        padding: 0;
    }
}

@media (max-width: 1024px){
    .espacios-categoria .espacios-cat__header,
    .espacios-tipo .espacios-tipo__header {
        max-width: 560px;
    }
}

@media (max-width: 768px) {
    .espacios-categoria,
    .espacios-tipo {
        padding: 0 16px;
        gap: 40px;
    }

    .espacios-tipo__thumb,
    .espacios-cat__thumb {
        height: 340px;
    }


}

@media (max-width: 480px) {
    .espacios-categoria .espacios-cat__header,
    .espacios-tipo .espacios-tipo__header {
        gap: 16px;
        max-width: 100%;
    }

    .espacios-tipo__thumb,
    .espacios-cat__thumb {
        height: 200px;
    }

    .espacios-categoria .espacios-cat__grid.categorias-grid,
    .espacios-tipo .espacios-tipo__grid.categorias-grid {
        grid-template-columns: 1fr;
        /* una columna */
    }

}

/********************************************************************/
/*          ESPACIOS ARCHIVE CATEGORY CHILD - ESTILOS (no necesarios por ahora)
/********************************************************************/

.espacios-categoria .text-center {
    text-align: center;
}

.espacios-categoria .espacio-contacto {
    margin: 0 auto;
    max-width: 760px;
}
